<?php

require_once 'lib/tv/tv_favorites_screen.php';

class GlobalTvTvFavoritesScreen extends TvFavoritesScreen
{
    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        hd_print('TV Favorites screen: handle_user_input:');
        foreach ($user_input as $key => $value)
            hd_print("  $key => $value");

        $parent_action = parent::handle_user_input($user_input, $plugin_cookies);
        if ($parent_action)
        {
            if (!HD::with_rows_api())
                return $parent_action;

            return $this->tv->invalidate_favorites($parent_action);
        }

        $control_id = HD::get($user_input, 'control_id');

        $action = MainHelper::get_pf_check_action_if_needed($user_input, "Favorites", false);
        if ($action != null)
            return $action;

        $ch_id = null;
        if (isset($user_input->selected_media_url))
        {
            $media_url = MediaURL::decode($user_input->selected_media_url);
            $ch_id = $media_url->channel_id;
        }

        $a = MainHelper::get_pre_playback_action_if_needed($this, $ch_id, $user_input, $plugin_cookies);
        if ($a !== true)
            return $a;

        return ActionFactory::tv_play();
    }
}

?>
